# SON-R1.5.05

### **User Stories/Defects Testing** <a href="#son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting" id="son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting"></a>

Release details: [https://peerplays.atlassian.net/projects/SON/versions/10146/tab/release-report-all-issues](https://peerplays.atlassian.net/projects/SON/versions/10146/tab/release-report-all-issues)

**Accepted**

| P                                                                             | T                                                                                                                | Key                                                       | Summary                                                                                                                                                        | Status |
| ----------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| ![High](https://peerplays.atlassian.net/images/icons/priorities/high.svg)     | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-339](https://peerplays.atlassian.net/browse/SON-339) | [SON Scheduler crash](https://peerplays.atlassian.net/browse/SON-339)                                                                                          | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-291](https://peerplays.atlassian.net/browse/SON-291) | [Primary wallet address is showing empty](https://peerplays.atlassian.net/browse/SON-291)                                                                      | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-305](https://peerplays.atlassian.net/browse/SON-305) | [Asset involved in bitcoin transactions is not correct](https://peerplays.atlassian.net/browse/SON-305)                                                        | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)     | [SON-308](https://peerplays.atlassian.net/browse/SON-308) | [On deposit, issue BTC instead of core asset](https://peerplays.atlassian.net/browse/SON-308)                                                                  | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)     | [SON-310](https://peerplays.atlassian.net/browse/SON-310) | [On withdraw, track payments in BTC instead of core asset](https://peerplays.atlassian.net/browse/SON-310)                                                     | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Sub-task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10316\&avatarType=issuetype) | [SON-320](https://peerplays.atlassian.net/browse/SON-320) | [Implement check for approving son\_wallet\_update\_operation proposal](https://peerplays.atlassian.net/browse/SON-320)                                        | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Sub-task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10316\&avatarType=issuetype) | [SON-322](https://peerplays.atlassian.net/browse/SON-322) | [Implement check for approving son\_wallet\_deposit\_process\_operation + asset\_issue\_operation proposal](https://peerplays.atlassian.net/browse/SON-322)    | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Sub-task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10316\&avatarType=issuetype) | [SON-324](https://peerplays.atlassian.net/browse/SON-324) | [Implement check for approving son\_wallet\_withdraw\_process\_operation + asset\_reserve\_operation proposal](https://peerplays.atlassian.net/browse/SON-324) | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Sub-task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10316\&avatarType=issuetype) | [SON-325](https://peerplays.atlassian.net/browse/SON-325) | [Implement check for approving sidechain\_transaction\_create\_operation proposal](https://peerplays.atlassian.net/browse/SON-325)                             | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-337](https://peerplays.atlassian.net/browse/SON-337) | [update\_son\_votes doesn't check for gpos vesting balance](https://peerplays.atlassian.net/browse/SON-337)                                                    | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-341](https://peerplays.atlassian.net/browse/SON-341) | [Test "son\_cli/cli\_list\_active\_sons": check deposits.size() == 2 has failed](https://peerplays.atlassian.net/browse/SON-341)                               | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-342](https://peerplays.atlassian.net/browse/SON-342) | [Test "son\_cli/maintenance\_test": check deposits.size() == 2 has failed](https://peerplays.atlassian.net/browse/SON-342)                                     | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-344](https://peerplays.atlassian.net/browse/SON-344) | [BTC asset is created with wrong quote asset id](https://peerplays.atlassian.net/browse/SON-344)                                                               | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-346](https://peerplays.atlassian.net/browse/SON-346) | [Sidechain transaction marked as complete even though current\_weight < threshold](https://peerplays.atlassian.net/browse/SON-346)                             | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-348](https://peerplays.atlassian.net/browse/SON-348) | [Transaction hash not saved after Bitcoin transaction is sent](https://peerplays.atlassian.net/browse/SON-348)                                                 | DONE   |

**Re-opened**

[**https://peerplays.atlassian.net/browse/SON-328**](https://peerplays.atlassian.net/browse/SON-328)

[**https://peerplays.atlassian.net/browse/SON-353**](https://peerplays.atlassian.net/browse/SON-353)

**New defects**

[**https://peerplays.atlassian.net/browse/SON-353**](https://peerplays.atlassian.net/browse/SON-353)

[**https://peerplays.atlassian.net/browse/SON-354**](https://peerplays.atlassian.net/browse/SON-354)

[**https://peerplays.atlassian.net/browse/SON-355**](https://peerplays.atlassian.net/browse/SON-355)
